blob: 8bfbadd6c89f1a16b29cb5f82caf422f66dda614 [file] [log] [blame]
Tom Rinid2244b92019-06-19 09:25:17 -04001# SPDX-License-Identifier: GPL-2.0+
2
Peter Hoyesb0722af2023-03-10 09:53:02 +00003variables:
4 DEFAULT_TAG: ""
Peter Hoyes08ed84e2023-03-10 09:53:03 +00005 MIRROR_DOCKER: docker.io
Peter Hoyesb0722af2023-03-10 09:53:02 +00006
7default:
8 tags:
9 - ${DEFAULT_TAG}
10
Joel Stanleyb97c1d42022-08-23 16:18:26 +100011# Grab our configured image. The source for this is found
12# in the u-boot tree at tools/docker/Dockerfile
Tom Rini4f963dc2024-01-17 15:04:50 -050013image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20240111-17Jan2024
Tom Rinid2244b92019-06-19 09:25:17 -040014
15# We run some tests in different order, to catch some failures quicker.
16stages:
Tom Rinid2244b92019-06-19 09:25:17 -040017 - testsuites
Tom Rini1cdb1822019-07-24 13:09:31 -040018 - test.py
Tom Rinid2244b92019-06-19 09:25:17 -040019 - world build
20
21.buildman_and_testpy_template: &buildman_and_testpy_dfn
Tom Rinid2244b92019-06-19 09:25:17 -040022 stage: test.py
Tom Rini6acc0192023-07-11 22:33:03 -040023 retry: 2 # QEMU may be too slow, etc.
Andrejs Cainikovsb4453552023-09-13 16:15:36 +020024 rules:
25 - when: always
Tom Rinid2244b92019-06-19 09:25:17 -040026 before_script:
27 # Clone uboot-test-hooks
Tom Rinie0f979b2022-11-21 12:52:40 -050028 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Tom Rini2a1df582021-02-24 17:05:04 -050029 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
Tom Rinid2244b92019-06-19 09:25:17 -040030 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
31 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
Tom Rini6ad26042019-10-04 12:12:54 -040032 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
33 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
Bin Mengb68d9d62020-03-28 07:25:29 -070034 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
Heinrich Schuchardt29999e42023-10-25 00:15:43 +020035 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
36 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
Bin Mengb68d9d62020-03-28 07:25:29 -070037 fi
Bin Meng0ae41062021-08-26 23:33:35 +080038 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
Heinrich Schuchardt29999e42023-10-25 00:15:43 +020039 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
40 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
Bin Mengb68d9d62020-03-28 07:25:29 -070041 fi
Tom Rini1cdb1822019-07-24 13:09:31 -040042
Tom Rinid2244b92019-06-19 09:25:17 -040043 after_script:
Marek Vasutc1a44de2023-03-03 02:22:25 +010044 - cp -v /tmp/${TEST_PY_BD}/*.{html,css} .
Heinrich Schuchardt159b0ab2019-12-19 13:30:32 +010045 - rm -rf /tmp/uboot-test-hooks /tmp/venv
Tom Rinid2244b92019-06-19 09:25:17 -040046 script:
Simon Glassda499352020-03-18 09:42:57 -060047 # If we've been asked to use clang only do one configuration.
Simon Glass28d83e72020-03-18 09:42:55 -060048 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
Simon Glass2e32f5d2022-08-03 12:13:09 -060049 - echo BUILD_ENV ${BUILD_ENV}
Simon Glassc2f01902023-01-15 14:16:00 -070050 - if [ -n "${BUILD_ENV}" ]; then
51 export ${BUILD_ENV};
52 fi
Simon Glass87c80462020-03-18 09:43:00 -060053 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
54 --board ${TEST_PY_BD} ${OVERRIDE}
Heinrich Schuchardtba0ae212020-07-14 00:23:58 +020055 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
56 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
57 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
Heinrich Schuchardtba0ae212020-07-14 00:23:58 +020058 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
59 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
Bin Meng0ae41062021-08-26 23:33:35 +080060 # create sdcard / spi-nor images for sifive unleashed using genimage
61 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
62 mkdir -p root;
63 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
64 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
65 rm -rf tmp;
66 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
67 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
68 rm -rf tmp;
69 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
70 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
71 fi
Simon Glass13e1fa02022-01-21 10:23:01 -070072 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
73 wget -O -
Simon Glass61e507b2023-08-11 12:17:43 -060074 "https://drive.google.com/uc?id=1uJ2VkUQ8czWFZmhJQ90Tp8V_zrJ6BrBH&export=download" |
Simon Glass13e1fa02022-01-21 10:23:01 -070075 xz -dc >${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
76 wget -O -
77 "https://drive.google.com/uc?id=149Cz-5SZXHNKpi9xg6R_5XITWohu348y&export=download" >
78 cbfstool;
79 chmod a+x cbfstool;
80 ./cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
81 fi
Tom Riniebcd2142019-10-24 11:59:27 -040082 - virtualenv -p /usr/bin/python3 /tmp/venv
83 - . /tmp/venv/bin/activate
84 - pip install -r test/py/requirements.txt
Simon Glass2600f7e2020-03-18 09:42:56 -060085 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
Simon Glass28d83e72020-03-18 09:42:55 -060086 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
Tom Rinid2244b92019-06-19 09:25:17 -040087 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
Heinrich Schuchardt2a3ec0a2020-07-10 22:04:40 +020088 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
Simon Glass2600f7e2020-03-18 09:42:56 -060089 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
Simon Glassfd0c59b2020-03-18 09:42:59 -060090 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
Marek Vasutc1a44de2023-03-03 02:22:25 +010091 artifacts:
92 when: always
93 paths:
94 - "*.html"
95 - "*.css"
96 expire_in: 1 week
Tom Rinid2244b92019-06-19 09:25:17 -040097
Andrejs Cainikovsb4453552023-09-13 16:15:36 +020098.world_build:
Tom Rinid2244b92019-06-19 09:25:17 -040099 stage: world build
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200100 rules:
101 - when: always
102
103build all 32bit ARM platforms:
104 extends: .world_build
Tom Rinid2244b92019-06-19 09:25:17 -0400105 script:
106 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500107 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530108 pip install -r tools/buildman/requirements.txt;
Tom Rini93ebd462022-11-09 19:14:53 -0700109 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600110 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600111 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400112 exit $ret;
113 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400114
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200115build all 64bit ARM platforms:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200116 extends: .world_build
Tom Rini372c6972019-07-17 17:51:28 -0400117 script:
Tom Rini6c883102020-02-11 12:41:14 -0500118 - virtualenv -p /usr/bin/python3 /tmp/venv
Tom Rini7faea832019-07-18 07:28:36 -0400119 - . /tmp/venv/bin/activate
Tom Rini372c6972019-07-17 17:51:28 -0400120 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500121 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530122 pip install -r tools/buildman/requirements.txt;
Tom Rini93ebd462022-11-09 19:14:53 -0700123 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600124 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600125 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400126 exit $ret;
127 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400128
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200129build all PowerPC platforms:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200130 extends: .world_build
Tom Rini372c6972019-07-17 17:51:28 -0400131 script:
132 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500133 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Simon Glassda499352020-03-18 09:42:57 -0600134 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
135 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600136 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400137 exit $ret;
138 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400139
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200140build all other platforms:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200141 extends: .world_build
Tom Rini372c6972019-07-17 17:51:28 -0400142 script:
143 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500144 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini93ebd462022-11-09 19:14:53 -0700145 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600146 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600147 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400148 exit $ret;
149 fi;
Tom Rinid2244b92019-06-19 09:25:17 -0400150
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200151.testsuites:
Tom Rinibdfa3762021-12-14 13:36:41 -0500152 stage: testsuites
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200153 rules:
154 - when: always
155
156check for new CONFIG symbols outside Kconfig:
157 extends: .testsuites
Tom Rinibdfa3762021-12-14 13:36:41 -0500158 script:
Tom Rini1cc7e4c2022-12-04 10:14:15 -0500159 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
160 # If grep succeeds and finds a match the test fails as we should
161 # have no matches.
162 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
Tom Rini8f7345c2023-01-10 11:19:46 -0500163 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
Sumit Garg8d814682024-02-22 15:05:57 +0530164 :^include/linux/kconfig.h :^tools/ :^dts/upstream/ &&
165 exit 1 || exit 0
Tom Rinibdfa3762021-12-14 13:36:41 -0500166
Heinrich Schuchardt54de2412023-01-12 20:30:58 +0100167# build documentation
168docs:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200169 extends: .testsuites
Heinrich Schuchardtbccdb652020-02-21 18:24:01 +0100170 script:
Heinrich Schuchardt846abe42021-01-25 22:06:25 +0100171 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
172 - . /tmp/venvhtml/bin/activate
173 - pip install -r doc/sphinx/requirements.txt
Heinrich Schuchardt2e0c8e62023-05-02 05:04:11 +0200174 - make htmldocs KDOC_WERROR=1
Heinrich Schuchardt54de2412023-01-12 20:30:58 +0100175 - make infodocs
Heinrich Schuchardtbccdb652020-02-21 18:24:01 +0100176
Tom Rinid2244b92019-06-19 09:25:17 -0400177# ensure all configs have MAINTAINERS entries
178Check for configs without MAINTAINERS entry:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200179 extends: .testsuites
Tom Rinid2244b92019-06-19 09:25:17 -0400180 script:
Tom Rinica00ac62023-10-23 11:37:47 -0400181 - ./tools/buildman/buildman --maintainer-check
Tom Rinid2244b92019-06-19 09:25:17 -0400182
183# Ensure host tools build
Tom Rini8244f002023-08-20 13:31:28 -0400184Build tools-only and envtools:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200185 extends: .testsuites
Tom Rinid2244b92019-06-19 09:25:17 -0400186 script:
Tom Rini8244f002023-08-20 13:31:28 -0400187 - make tools-only_config tools-only -j$(nproc);
188 make mrproper;
189 make tools-only_config envtools -j$(nproc)
Pierre-Jean Texier6812f5e2019-08-26 13:06:18 +0200190
Tom Rini0b3e0c42020-03-11 18:11:15 -0400191Run binman, buildman, dtoc, Kconfig and patman testsuites:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200192 extends: .testsuites
Tom Rinid2244b92019-06-19 09:25:17 -0400193 script:
Tom Rini0b6e1032019-08-12 10:09:08 -0400194 - git config --global user.name "GitLab CI Runner";
195 git config --global user.email trini@konsulko.com;
Tom Rinid1ed4462022-08-09 21:08:54 -0400196 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini0b6e1032019-08-12 10:09:08 -0400197 export USER=gitlab;
Tom Rini6c883102020-02-11 12:41:14 -0500198 virtualenv -p /usr/bin/python3 /tmp/venv;
Tom Rini0b6e1032019-08-12 10:09:08 -0400199 . /tmp/venv/bin/activate;
Tom Rini70c66dd2021-02-26 07:52:29 -0500200 pip install -r test/py/requirements.txt;
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530201 pip install -r tools/buildman/requirements.txt;
Tom Rini08086922023-08-10 12:52:24 -0400202 export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only;
Tom Rini0b6e1032019-08-12 10:09:08 -0400203 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
204 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
Tom Rinid1ed4462022-08-09 21:08:54 -0400205 set +e;
Simon Glass492f0b02021-03-15 17:25:34 +1300206 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini08086922023-08-10 12:52:24 -0400207 --board tools-only;
Tom Rinid1ed4462022-08-09 21:08:54 -0400208 set -e;
Tom Rini0b6e1032019-08-12 10:09:08 -0400209 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
210 ./tools/buildman/buildman -t;
211 ./tools/dtoc/dtoc -t;
Simon Glass109e84e2020-07-05 21:41:55 -0600212 ./tools/patman/patman test;
Tom Rini0b3e0c42020-03-11 18:11:15 -0400213 make testconfig
Tom Rinid2244b92019-06-19 09:25:17 -0400214
Simon Glassf6903262022-02-11 13:23:26 -0700215# Check for any pylint regressions
216Run pylint:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200217 extends: .testsuites
Simon Glassf6903262022-02-11 13:23:26 -0700218 script:
Tom Rinid1ed4462022-08-09 21:08:54 -0400219 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Simon Glassf6903262022-02-11 13:23:26 -0700220 - pip install -r test/py/requirements.txt
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530221 - pip install -r tools/buildman/requirements.txt
Tom Rini090ff812022-03-25 08:19:09 -0400222 - pip install asteval pylint==2.12.2 pyopenssl
Simon Glassf6903262022-02-11 13:23:26 -0700223 - export PATH=${PATH}:~/.local/bin
224 - echo "[MASTER]" >> .pylintrc
225 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
Tom Rini08086922023-08-10 12:52:24 -0400226 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only
Tom Rinid1ed4462022-08-09 21:08:54 -0400227 - set +e
Simon Glassf6903262022-02-11 13:23:26 -0700228 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini08086922023-08-10 12:52:24 -0400229 --board tools-only
Tom Rinid1ed4462022-08-09 21:08:54 -0400230 - set -e
Simon Glassf6903262022-02-11 13:23:26 -0700231 - pylint --version
232 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
233 - make pylint_err
234
Simon Glassf96763a2023-02-13 08:56:39 -0700235# Check for pre-schema driver model tags
236Check for pre-schema tags:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200237 extends: .testsuites
Simon Glassf96763a2023-02-13 08:56:39 -0700238 script:
239 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
240 # If grep succeeds and finds a match the test fails as we should
241 # have no matches.
242 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
243
Simon Glass5dd13b92023-02-23 18:18:24 -0700244# Check we can package the Python tools
245Check packing of Python tools:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200246 extends: .testsuites
Simon Glass5dd13b92023-02-23 18:18:24 -0700247 script:
248 - make pip
249
Tom Rinid2244b92019-06-19 09:25:17 -0400250# Test sandbox with test.py
251sandbox test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400252 variables:
253 TEST_PY_BD: "sandbox"
Tom Rinid2244b92019-06-19 09:25:17 -0400254 <<: *buildman_and_testpy_dfn
255
Tom Rini99a1bb32019-11-06 19:30:47 -0500256sandbox with clang test.py:
Tom Rini99a1bb32019-11-06 19:30:47 -0500257 variables:
258 TEST_PY_BD: "sandbox"
Tom Riniad9b2fd2023-03-21 15:07:45 -0400259 OVERRIDE: "-O clang-16"
Tom Rini99a1bb32019-11-06 19:30:47 -0500260 <<: *buildman_and_testpy_dfn
261
Marek Vasut36bdb592023-09-01 10:48:10 +0200262sandbox64 test.py:
263 variables:
264 TEST_PY_BD: "sandbox64"
265 <<: *buildman_and_testpy_dfn
266
267sandbox64 with clang test.py:
268 variables:
269 TEST_PY_BD: "sandbox64"
270 OVERRIDE: "-O clang-16"
271 <<: *buildman_and_testpy_dfn
272
Tom Rinid2244b92019-06-19 09:25:17 -0400273sandbox_spl test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400274 variables:
275 TEST_PY_BD: "sandbox_spl"
Simon Glass36a69e12020-10-25 20:38:36 -0600276 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
Tom Rinid2244b92019-06-19 09:25:17 -0400277 <<: *buildman_and_testpy_dfn
278
Simon Glass492f0b02021-03-15 17:25:34 +1300279sandbox_noinst_test.py:
Simon Glass492f0b02021-03-15 17:25:34 +1300280 variables:
281 TEST_PY_BD: "sandbox_noinst"
282 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
283 <<: *buildman_and_testpy_dfn
284
Sean Andersonf65dcc02023-10-14 16:47:59 -0400285sandbox_noinst with LOAD_FIT_FULL test.py:
286 variables:
287 TEST_PY_BD: "sandbox_noinst"
288 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
289 OVERRIDE: "-a CONFIG_SPL_LOAD_FIT_FULL=y"
290 <<: *buildman_and_testpy_dfn
291
Simon Glassa2a4eea2022-04-30 00:56:57 -0600292sandbox_vpl test.py:
293 variables:
294 TEST_PY_BD: "sandbox_vpl"
Simon Glass4e5e7f42023-04-02 14:01:26 +1200295 TEST_PY_TEST_SPEC: "vpl or test_spl"
Simon Glassa2a4eea2022-04-30 00:56:57 -0600296 <<: *buildman_and_testpy_dfn
297
Simon Glassc2f01902023-01-15 14:16:00 -0700298# Enable tracing and disable LTO, to ensure functions are not elided
299sandbox trace_test.py:
300 variables:
301 TEST_PY_BD: "sandbox"
302 BUILD_ENV: "FTRACE=1 NO_LTO=1"
303 TEST_PY_TEST_SPEC: "trace"
Sughosh Ganu0c3783e2023-08-22 23:10:02 +0530304 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000 -a CONFIG_TRACE_BUFFER_SIZE=0x02000000"
Simon Glassc2f01902023-01-15 14:16:00 -0700305 <<: *buildman_and_testpy_dfn
306
Tom Rini0008b882019-07-17 16:06:57 -0400307evb-ast2500 test.py:
Tom Rini0008b882019-07-17 16:06:57 -0400308 variables:
309 TEST_PY_BD: "evb-ast2500"
310 TEST_PY_ID: "--id qemu"
Tom Rini0008b882019-07-17 16:06:57 -0400311 <<: *buildman_and_testpy_dfn
312
Joel Stanley3f21e1b2022-06-29 16:35:25 +0930313evb-ast2600 test.py:
314 variables:
315 TEST_PY_BD: "evb-ast2600"
316 TEST_PY_ID: "--id qemu"
317 <<: *buildman_and_testpy_dfn
318
Tom Rinid2244b92019-06-19 09:25:17 -0400319sandbox_flattree test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400320 variables:
321 TEST_PY_BD: "sandbox_flattree"
Tom Rinid2244b92019-06-19 09:25:17 -0400322 <<: *buildman_and_testpy_dfn
323
Kristian Amlie8f8a2992021-09-07 08:37:51 +0200324vexpress_ca9x4 test.py:
325 variables:
326 TEST_PY_BD: "vexpress_ca9x4"
327 TEST_PY_ID: "--id qemu"
328 <<: *buildman_and_testpy_dfn
329
Tom Rinid2244b92019-06-19 09:25:17 -0400330integratorcp_cm926ejs test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400331 variables:
332 TEST_PY_BD: "integratorcp_cm926ejs"
333 TEST_PY_TEST_SPEC: "not sleep"
334 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400335 <<: *buildman_and_testpy_dfn
336
337qemu_arm test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400338 variables:
339 TEST_PY_BD: "qemu_arm"
340 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400341 <<: *buildman_and_testpy_dfn
342
343qemu_arm64 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400344 variables:
345 TEST_PY_BD: "qemu_arm64"
346 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400347 <<: *buildman_and_testpy_dfn
348
Marek Vasut07240eb2023-03-23 01:22:41 +0100349qemu_m68k test.py:
350 variables:
351 TEST_PY_BD: "M5208EVBE"
352 TEST_PY_ID: "--id qemu"
353 TEST_PY_TEST_SPEC: "not sleep and not efi"
354 OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR"
355 <<: *buildman_and_testpy_dfn
356
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200357qemu_malta test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200358 variables:
359 TEST_PY_BD: "malta"
360 TEST_PY_TEST_SPEC: "not sleep and not efi"
361 TEST_PY_ID: "--id qemu"
362 <<: *buildman_and_testpy_dfn
363
364qemu_maltael test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200365 variables:
366 TEST_PY_BD: "maltael"
367 TEST_PY_TEST_SPEC: "not sleep and not efi"
368 TEST_PY_ID: "--id qemu"
369 <<: *buildman_and_testpy_dfn
370
371qemu_malta64 test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200372 variables:
373 TEST_PY_BD: "malta64"
374 TEST_PY_TEST_SPEC: "not sleep and not efi"
375 TEST_PY_ID: "--id qemu"
376 <<: *buildman_and_testpy_dfn
377
378qemu_malta64el test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200379 variables:
380 TEST_PY_BD: "malta64el"
381 TEST_PY_TEST_SPEC: "not sleep and not efi"
382 TEST_PY_ID: "--id qemu"
383 <<: *buildman_and_testpy_dfn
384
Tom Rinid2244b92019-06-19 09:25:17 -0400385qemu-ppce500 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400386 variables:
387 TEST_PY_BD: "qemu-ppce500"
388 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400389 <<: *buildman_and_testpy_dfn
390
Bin Mengaeb3ea42020-03-28 07:25:27 -0700391qemu-riscv32 test.py:
Bin Mengaeb3ea42020-03-28 07:25:27 -0700392 variables:
393 TEST_PY_BD: "qemu-riscv32"
394 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengaeb3ea42020-03-28 07:25:27 -0700395 <<: *buildman_and_testpy_dfn
396
Tom Rinic8c320e2019-08-02 11:32:37 -0400397qemu-riscv64 test.py:
Tom Rinic8c320e2019-08-02 11:32:37 -0400398 variables:
399 TEST_PY_BD: "qemu-riscv64"
400 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinic8c320e2019-08-02 11:32:37 -0400401 <<: *buildman_and_testpy_dfn
402
Bin Mengb68d9d62020-03-28 07:25:29 -0700403qemu-riscv32_spl test.py:
Bin Mengb68d9d62020-03-28 07:25:29 -0700404 variables:
405 TEST_PY_BD: "qemu-riscv32_spl"
406 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengb68d9d62020-03-28 07:25:29 -0700407 <<: *buildman_and_testpy_dfn
408
409qemu-riscv64_spl test.py:
Bin Mengb68d9d62020-03-28 07:25:29 -0700410 variables:
411 TEST_PY_BD: "qemu-riscv64_spl"
412 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengb68d9d62020-03-28 07:25:29 -0700413 <<: *buildman_and_testpy_dfn
414
Tom Rinid2244b92019-06-19 09:25:17 -0400415qemu-x86 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400416 variables:
417 TEST_PY_BD: "qemu-x86"
418 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400419 <<: *buildman_and_testpy_dfn
420
421qemu-x86_64 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400422 variables:
423 TEST_PY_BD: "qemu-x86_64"
424 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400425 <<: *buildman_and_testpy_dfn
426
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200427r2dplus_i82557c test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200428 variables:
429 TEST_PY_BD: "r2dplus"
430 TEST_PY_ID: "--id i82557c_qemu"
431 <<: *buildman_and_testpy_dfn
432
433r2dplus_pcnet test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200434 variables:
435 TEST_PY_BD: "r2dplus"
436 TEST_PY_ID: "--id pcnet_qemu"
437 <<: *buildman_and_testpy_dfn
438
439r2dplus_rtl8139 test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200440 variables:
441 TEST_PY_BD: "r2dplus"
442 TEST_PY_ID: "--id rtl8139_qemu"
443 <<: *buildman_and_testpy_dfn
444
445r2dplus_tulip test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200446 variables:
447 TEST_PY_BD: "r2dplus"
448 TEST_PY_ID: "--id tulip_qemu"
449 <<: *buildman_and_testpy_dfn
450
Bin Meng0ae41062021-08-26 23:33:35 +0800451sifive_unleashed_sdcard test.py:
452 variables:
453 TEST_PY_BD: "sifive_unleashed"
454 TEST_PY_ID: "--id sdcard_qemu"
455 <<: *buildman_and_testpy_dfn
456
457sifive_unleashed_spi-nor test.py:
458 variables:
459 TEST_PY_BD: "sifive_unleashed"
460 TEST_PY_ID: "--id spi-nor_qemu"
461 <<: *buildman_and_testpy_dfn
462
Michal Simekf8834fd2020-02-13 15:03:29 +0100463xilinx_zynq_virt test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400464 variables:
Michal Simekf8834fd2020-02-13 15:03:29 +0100465 TEST_PY_BD: "xilinx_zynq_virt"
Tom Rinid2244b92019-06-19 09:25:17 -0400466 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400467 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400468 <<: *buildman_and_testpy_dfn
469
470xilinx_versal_virt test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400471 variables:
472 TEST_PY_BD: "xilinx_versal_virt"
473 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400474 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400475 <<: *buildman_and_testpy_dfn
476
477xtfpga test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400478 variables:
479 TEST_PY_BD: "xtfpga"
480 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400481 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400482 <<: *buildman_and_testpy_dfn
Simon Glass13e1fa02022-01-21 10:23:01 -0700483
484coreboot test.py:
485 variables:
486 TEST_PY_BD: "coreboot"
487 TEST_PY_TEST_SPEC: "not sleep"
488 TEST_PY_ID: "--id qemu"
Simon Glass13e1fa02022-01-21 10:23:01 -0700489 <<: *buildman_and_testpy_dfn